package app13;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;

public class FileInputStreamTest {
    public boolean compareFiles(String filePath1, String filePath2) {

        boolean areFilesIdentical = true;
        File file1 = new File(filePath1);
        File file2 = new File(filePath2);
        if (!file1.exists() || !file2.exists()) {
            System.out.println("One or both files do not exist");
            return false;
        }
        System.out.println("length:" + file1.length());
        if (file1.length() != file2.length()) {
            System.out.println("lengths not equal");
            return false;
        }
        try {
            FileInputStream fis1 = new FileInputStream(file1);
            FileInputStream fis2 = new FileInputStream(file2);
            int i1 = fis1.read();
            int i2 = fis2.read();
            while (i1 != -1) {
                if (i1 != i2) {
                    areFilesIdentical = false;
                    break;
                }
                i1 = fis1.read();
                i2 = fis2.read();
            }
            fis1.close();
            fis2.close();
        } catch (IOException e) {
            System.out.println("IO exception");
            areFilesIdentical = false;
        }
        return areFilesIdentical;
    }

    public static void main(String[] args) {
        FileInputStreamTest test = new FileInputStreamTest();
        boolean result = test.compareFiles("c:\\temp\\line2.bmp",
                "c:\\temp\\line3.bmp");
    }
}